libretools - Bug #24

[fullpkg] and [treepkg] solve the same problem
2012-02-27 06:53 PM - mtjm

Status: fixed % Done: 0%
Priority: bug

Assignee: fauno

Category:

Description

This is unoptimal, since a user needs to choose one of them and at least some changes need being done twice.

Related issues:

Related to libretools - Bug #16: [librechroot] cleaning should take of build ... fixed 2012-02-27
Related to libretools - Bug #20: [fullpkg-find] rewrite order creation not-a-bug 2013-07-15
History

#2 - 2012-02-27 07:28 PM - fauno

Michat Mastowski wrote:

This is unoptimal, since a user needs to choose one of them and at least some changes need being done twice.

treepkg solves the same problem with less than the number of lines required for fullpkg:
/1'$ sed -e "/"$/d" -e "/"#/d" treepkg | wc -|

112

/1'$ sed -e "/"$/d" -e "/MH/d" fullpkg* | we -I

289

#6 - 2014-01-14 02:34 PM - fauno

- Status changed from open to in progress

and now we have a third one called “dagpkg’ that solves dependencies in a directed graph :P

since it has better dependency solving i think we should deprecate both treepkg and fullpkg
#7 - 2014-01-14 02:44 PM - mtjm
Yes, adding dagpkg to the master branch and a packaged release should make them unnecessary (if it supports use outside of the chroot) and solve

issue #20.

#8 - 2014-01-15 04:19 PM - fauno
- Related to Bug #20: [fullpkg-find] rewrite order creation added

#9 - 2014-01-15 04:25 PM - fauno

- Assignee set to fauno

It does if you remove the pacman -Syu before running FULLBUILDCMD. Copying PKGBUILDs around and other stuff that's mostly inside-chroot
specific should be moved to HOOKPREBUILD.

It also requires working toru-path and toru-where, | don't know if this is the case in master.

#10 - 2015-06-07 01:06 AM - lukeshu

- Status changed from in progress to fixed

fullpkg and treepkg have been removed from git master in favor of dagpkg.
